/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/1/4
 */
package org.ts.ddcs.controller.simulator.service;


import org.ts.ddcs.controller.simulator.entity.SimulatorInfo;

import java.util.Date;
import java.util.List;

/***
 * Date:2022/1/4
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @mender：（文件的修改者，文件创建者之外的人）
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public interface RtuSimulatorService {
    List<SimulatorInfo> simulatorList();
    void updateSimulatorStatus(String id, String status);
    SimulatorInfo getSimulatorInfo(String id);
    void savePostDatagramInfo(String mainId,Date sendDt, String sendDatagram,Date backDt,String backDatagram);
    List<SimulatorInfo> querySendDatagramDetail(String mainId,Date sendTime);
}
